package com.yunzhi.marketing.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 资讯 
 * </p>
 *
 * @author yansen
 * @since 2020-06-11
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TaOfficeNews implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 资讯ID
     */
    @TableId(value = "news_id", type = IdType.AUTO)
    private Integer newsId;

    /**
     * 标题
     */
    private String title;

    /**
     * 创建时间
     */
    private LocalDateTime createDate;

    /**
     * 发布人
     */
    private String publisher;

    /**
     * 内容
     */
    private String content;

    /**
     * 类型
     */
    private Integer typeId;

    /**
     * 类型名称
     */
    private String typeName;

    /**
     * 状态
     */
    private Integer status;

    /**
     * 置顶
     */
    private Integer weight;

    /**
     * 主图
     */
    private String thumb;
}
