package com.yunzhi.marketing.xlk.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.yunzhi.marketing.common.CommConstant;
import com.yunzhi.marketing.entity.TaPerson;
import com.yunzhi.marketing.xlk.entity.Curriculum;
import com.yunzhi.marketing.xlk.mapper.CurriculumMapper;
import com.yunzhi.marketing.xlk.service.ICurriculumService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.yunzhi.marketing.xlk.vo.SearchHouseVO;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;

/**
 * <p>
 * 课程表  服务实现类
 * </p>
 *
 * @author jobob
 * @since 2021-05-18
 */
@Service
public class CurriculumServiceImpl extends ServiceImpl<CurriculumMapper, Curriculum> implements ICurriculumService {

    /**
     * 获取我的收藏列表
     *
     * @param pageNum
     * @param pageSize
     * @param person
     * @return
     */
    @Override
    public IPage<Curriculum> selectMySaveList(Integer pageNum, Integer pageSize, TaPerson person) {
        IPage<Curriculum> pg = new Page<>(pageNum, pageSize);
        IPage<Curriculum> result = this.baseMapper.selectMySaveList(pg,person.getPersonId());
        return result;
    }

    @Override
    public IPage<Curriculum> getWxList(IPage<Curriculum> pg, String name, TaPerson person) {
        List<String> roleList = new ArrayList<>();
        if (CommConstant.PERSON_REALTY_CONSULTANT.equals(person.getPersonType())) {
            roleList.add(CommConstant.CURRICULUM_TYPE_COUSULTANT);
            roleList.add(CommConstant.CURRICULUM_TYPE_COUSULTANT_AND_AGENT);
        } else if (CommConstant.PERSON_ESTATE_CHANNEL.equals(person.getPersonType())) {
            roleList.add(CommConstant.CURRICULUM_TYPE_AGENT);
            roleList.add(CommConstant.CURRICULUM_TYPE_COUSULTANT_AND_AGENT);
        } else {
            roleList.add("*");
        }

        IPage<Curriculum> result = this.baseMapper.getWxList(pg, person.getOrgId(), name, roleList);
        return result;
    }
}
